SoDebug(3)

NAME
SoDebug

SYNOPSIS

#include <SoDebug.h>

  Static Public Member Functions
static const char * GetEnv (const char *var)
static void RTPrintf (const char *formatstr,...)
static void NamePtr (const char *name, void *ptr)
static const char * PtrName (void *ptr)
static void write (SoNode *node)
static void writeToFile (SoNode *node, const char *filename)
static void writeField (SoField *field)
static void printName (SoBase *base)

Detailed Description

The SoDebug class is a small collection of debugging related functions.

Member Function Documentation

  const char * SoDebug::GetEnv (const char * var) [static]
This is a portable getenv-wrapper.

See also
    coin_getenv()

  void SoDebug::RTPrintf (const char * formatstr, ...) [static]
Real-time printf designed for use when use of standard printf() would cause timing problems.

NOT IMPLEMENTED. Currently it just forwards to printf().

  void SoDebug::NamePtr (const char * name, void * ptr) [static]
Associate a name with an arbitrary pointer. You can fetch the name of the pointer later with PtrName().

See also
    PtrName()

  const char * SoDebug::PtrName (void * ptr) [static]
Returns the name set on a pointer with NamePtr(). If no name has been set, '<unnamed>' is returned.

See also
    NamePtr()

  void SoDebug::write (SoNode * node) [static]
Writes the node to stdout.

  void SoDebug::writeToFile (SoNode * node, const char * filename) [static]
Writes the node to the given filename, or /tmp/debug.iv if filename is NULL.

  void SoDebug::writeField (SoField * field) [static]
Not implemented.

  void SoDebug::printName (SoBase * base) [static]
Not implemented.

Author

Generated automatically by Doxygen for Coin from the source code.